package com.backendsys.service.SDKService.SDKBaidu;

import com.backendsys.entity.Ai.AiGenerateVideoDTO;

import java.net.URI;
import java.util.Map;

public interface SDKBaiduAiGenerateVideoService {

    // [百度-AI成片] 封装拼接授权过的 AccessToken URL
    URI getUriWithParams(String url);

    // [百度-AI成片] 定制成片任务
    Map<String, Object> makeGenerateVideo(AiGenerateVideoDTO aiGenerateVideoDTO);

    // [百度-AI成片] 查询成片任务进度
    Map<String, Object> getGenerateVideoProgress(Long jobId);

}
